ome-xml 5.2.3

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::Plate Class Reference

Plate model object. More...

`#include <ome/xml/model/Plate.h>`

Inheritance diagram for ome::xml::model::Plate:
[legend]
Collaboration diagram for ome::xml::model::Plate:
[legend]

## Classes
class | Impl
| Private implementation details of Plate model object. More...

## Public Member Functions
| Plate ()
| Default constructor.
| Plate (const Plate &copy)
| Copy constructor. More...
virtual | ~Plate ()
| Destructor.
const std::string & | elementName () const
| Get the element name of this model object. More...
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
ome::compat::shared_ptr< std::string > | getStatus ()
| Get the Status property. More...
const ome::compat::shared_ptr< std::string > | getStatus () const
| Get the Status property. More...
void | setStatus (ome::compat::shared_ptr< std::string > &status)
| Set the Status property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | getRows ()
| Get the Rows property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | getRows () const
| Get the Rows property. More...
void | setRows (ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > &rows)
| Set the Rows property. More...
ome::compat::shared_ptr< std::string > | getExternalIdentifier ()
| Get the ExternalIdentifier property. More...
const ome::compat::shared_ptr< std::string > | getExternalIdentifier () const
| Get the ExternalIdentifier property. More...
void | setExternalIdentifier (ome::compat::shared_ptr< std::string > &externalIdentifier)
| Set the ExternalIdentifier property. More...
ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > | getRowNamingConvention ()
| Get the RowNamingConvention property. More...
const ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > | getRowNamingConvention () const
| Get the RowNamingConvention property. More...
void | setRowNamingConvention (ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > &rowNamingConvention)
| Set the RowNamingConvention property. More...
ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > | getColumnNamingConvention ()
| Get the ColumnNamingConvention property. More...
const ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > | getColumnNamingConvention () const
| Get the ColumnNamingConvention property. More...
void | setColumnNamingConvention (ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > &columnNamingConvention)
| Set the ColumnNamingConvention property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | getFieldIndex ()
| Get the FieldIndex property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | getFieldIndex () const
| Get the FieldIndex property. More...
void | setFieldIndex (ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > &fieldIndex)
| Set the FieldIndex property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | getColumns ()
| Get the Columns property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | getColumns () const
| Get the Columns property. More...
void | setColumns (ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > &columns)
| Set the Columns property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & | getWellOriginY ()
| Get the WellOriginY property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & | getWellOriginY () const
| Get the WellOriginY property. More...
void | setWellOriginY (const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > &wellOriginY)
| Set the WellOriginY property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & | getWellOriginX ()
| Get the WellOriginX property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & | getWellOriginX () const
| Get the WellOriginX property. More...
void | setWellOriginX (const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > &wellOriginX)
| Set the WellOriginX property. More...
const std::string & | getID () const
| Get the ID property. More...
void | setID (const std::string &id)
| Set the ID property. More...
ome::compat::shared_ptr< std::string > | getName ()
| Get the Name property. More...
const ome::compat::shared_ptr< std::string > | getName () const
| Get the Name property. More...
void | setName (ome::compat::shared_ptr< std::string > &name)
| Set the Name property. More...
ome::compat::shared_ptr< std::string > | getDescription ()
| Get the Description property. More...
const ome::compat::shared_ptr< std::string > | getDescription () const
| Get the Description property. More...
void | setDescription (ome::compat::shared_ptr< std::string > &description)
| Set the Description property. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Well > >::size_type | sizeOfWellList () const
| Get size of linked Well list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::Well > > & | getWellList ()
| Get the Well list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::Well > > & | getWellList () const
| Get the Well list. More...
ome::compat::shared_ptr< ome::xml::model::Well > & | getWell (std::vector< ome::compat::shared_ptr< ome::xml::model::Well > >::size_type index)
| Get Well. More...
const ome::compat::shared_ptr< ome::xml::model::Well > & | getWell (std::vector< ome::compat::shared_ptr< ome::xml::model::Well > >::size_type index) const
| Get Well. More...
void | setWell (std::vector< ome::compat::shared_ptr< ome::xml::model::Well > >::size_type index, ome::compat::shared_ptr< ome::xml::model::Well > &well)
| Set Well. More...
void | addWell (ome::compat::shared_ptr< ome::xml::model::Well > &well)
| Add Well. More...
void | removeWell (ome::compat::shared_ptr< ome::xml::model::Well > &well)
| Remove Well. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedAnnotationList () const
| Get size of linked Annotation list. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | getLinkedAnnotationList () const
| Get the linked Annotation list. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | getLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Annotation. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | setLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Set linked Annotation. More...
bool | linkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Link Annotation. More...
bool | unlinkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Unlink Annotation. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > >::size_type | sizeOfPlateAcquisitionList () const
| Get size of linked PlateAcquisition list. More...
std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > > & | getPlateAcquisitionList ()
| Get the PlateAcquisition list. More...
const std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > > & | getPlateAcquisitionList () const
| Get the PlateAcquisition list. More...
ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & | getPlateAcquisition (std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > >::size_type index)
| Get PlateAcquisition. More...
const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & | getPlateAcquisition (std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > >::size_type index) const
| Get PlateAcquisition. More...
void | setPlateAcquisition (std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > >::size_type index, ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > &plateAcquisition)
| Set PlateAcquisition. More...
void | addPlateAcquisition (ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > &plateAcquisition)
| Add PlateAcquisition. More...
void | removePlateAcquisition (ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > &plateAcquisition)
| Remove PlateAcquisition. More...
OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedScreenList () const
| Get size of linked Screen list. More...
OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type | getLinkedScreenList () const
| Get the linked Screen list. More...
const ome::compat::weak_ptr< ome::xml::model::Screen > & | getLinkedScreen (OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Screen. More...
const ome::compat::weak_ptr< ome::xml::model::Screen > & | setLinkedScreen (OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Screen > &screen_BackReference)
| Set linked Screen. More...
bool | linkScreen (const ome::compat::shared_ptr< ome::xml::model::Screen > &screen_BackReference)
| Link Screen. More...
bool | unlinkScreen (const ome::compat::shared_ptr< ome::xml::model::Screen > &screen_BackReference)
| Unlink Screen. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Static Public Member Functions
static ome::compat::shared_ptr< Plate > | create (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Create a Plate model object from DOM element. More...
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
Plate & | operator= (const Plate &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

Plate model object.

## Constructor & Destructor Documentation

## § Plate()

ome::xml::model::Plate::Plate | ( | const Plate & | copy | ) |

Copy constructor.

Parameters

  copy | the Plate to copy.

## Member Function Documentation

## § addPlateAcquisition()

void ome::xml::model::Plate::addPlateAcquisition | ( | ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & | plateAcquisition | ) |

Add PlateAcquisition.

Parameters

  plateAcquisition | the PlateAcquisition to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § addWell()

void ome::xml::model::Plate::addWell | ( | ome::compat::shared_ptr< ome::xml::model::Well > & | well | ) |

Add Well.

Parameters

  well | the Well to add.

Todo:

  Return list position?

  Detect and handle duplicates?

References impl.

Referenced by update().

Here is the caller graph for this function:

## § asXMLElement()

common::xml::dom::Element ome::xml::model::Plate::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::OMEModelObject.

References asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::Plate::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::detail::OMEModelObject.

References ome::common::xml::dom::Node::appendChild(), ome::xml::model::detail::OMEModelObject::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), getXMLNamespace(), impl, and ome::common::xml::dom::Element::setAttribute().

Referenced by asXMLElement().

Here is the caller graph for this function:

## § create()

ome::compat::shared_ptr< Plate > ome::xml::model::Plate::create | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| static

Create a Plate model object from DOM element.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Returns
  a new model object.

Referenced by ome::xml::model::OME::update().

Here is the caller graph for this function:

## § elementName()

const std::string & ome::xml::model::Plate::elementName | ( |  | ) | const
| virtual

Get the element name of this model object.

This will be the most-derived class name.

Returns
  the element type.

Implements ome::xml::model::OMEModelObject.

## § getColumnNamingConvention() [1/2]

ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > ome::xml::model::Plate::getColumnNamingConvention | ( |  | ) |

Get the ColumnNamingConvention property.

Returns
  the ColumnNamingConvention property.

References impl.

## § getColumnNamingConvention() [2/2]

const ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > ome::xml::model::Plate::getColumnNamingConvention | ( |  | ) | const

Get the ColumnNamingConvention property.

Returns
  the ColumnNamingConvention property.

References impl.

## § getColumns() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > ome::xml::model::Plate::getColumns | ( |  | ) |

Get the Columns property.

Returns
  the Columns property.

References impl.

## § getColumns() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > ome::xml::model::Plate::getColumns | ( |  | ) | const

Get the Columns property.

Returns
  the Columns property.

References impl.

## § getDescription() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Plate::getDescription | ( |  | ) |

Get the Description property.

Returns
  the Description property.

References impl.

## § getDescription() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Plate::getDescription | ( |  | ) | const

Get the Description property.

Returns
  the Description property.

References impl.

## § getExternalIdentifier() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Plate::getExternalIdentifier | ( |  | ) |

Get the ExternalIdentifier property.

Returns
  the ExternalIdentifier property.

References impl.

## § getExternalIdentifier() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Plate::getExternalIdentifier | ( |  | ) | const

Get the ExternalIdentifier property.

Returns
  the ExternalIdentifier property.

References impl.

## § getFieldIndex() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > ome::xml::model::Plate::getFieldIndex | ( |  | ) |

Get the FieldIndex property.

Returns
  the FieldIndex property.

References impl.

## § getFieldIndex() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > ome::xml::model::Plate::getFieldIndex | ( |  | ) | const

Get the FieldIndex property.

Returns
  the FieldIndex property.

References impl.

## § getID()

const std::string & ome::xml::model::Plate::getID | ( |  | ) | const

Get the ID property.

Returns
  the ID property.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § getLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::Plate::getLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Annotation.

Parameters

  index | the index number of the Annotation.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type ome::xml::model::Plate::getLinkedAnnotationList | ( |  | ) | const

Get the linked Annotation list.

Returns
  a reference to the list.

References impl.

## § getLinkedScreen()

const ome::compat::weak_ptr< ome::xml::model::Screen > & ome::xml::model::Plate::getLinkedScreen | ( | OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Screen.

Parameters

  index | the index number of the Screen.

Returns
  a weak pointer to the Screen.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedScreenList()

OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type ome::xml::model::Plate::getLinkedScreenList | ( |  | ) | const

Get the linked Screen list.

Returns
  a reference to the list.

References impl.

## § getName() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Plate::getName | ( |  | ) |

Get the Name property.

Returns
  the Name property.

References impl.

## § getName() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Plate::getName | ( |  | ) | const

Get the Name property.

Returns
  the Name property.

References impl.

## § getPlateAcquisition() [1/2]

ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & ome::xml::model::Plate::getPlateAcquisition | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > >::size_type | index | ) |

Get PlateAcquisition.

Parameters

  index | the index number of the PlateAcquisition.

Returns
  the PlateAcquisition.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getPlateAcquisition() [2/2]

const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & ome::xml::model::Plate::getPlateAcquisition | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > >::size_type | index | ) | const

Get PlateAcquisition.

Parameters

  index | the index number of the PlateAcquisition.

Returns
  the PlateAcquisition.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getPlateAcquisitionList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > > & ome::xml::model::Plate::getPlateAcquisitionList | ( |  | ) |

Get the PlateAcquisition list.

Returns
  a reference to the list.

References impl.

## § getPlateAcquisitionList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > > & ome::xml::model::Plate::getPlateAcquisitionList | ( |  | ) | const

Get the PlateAcquisition list.

Returns
  a reference to the list.

References impl.

## § getRowNamingConvention() [1/2]

ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > ome::xml::model::Plate::getRowNamingConvention | ( |  | ) |

Get the RowNamingConvention property.

Returns
  the RowNamingConvention property.

References impl.

## § getRowNamingConvention() [2/2]

const ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > ome::xml::model::Plate::getRowNamingConvention | ( |  | ) | const

Get the RowNamingConvention property.

Returns
  the RowNamingConvention property.

References impl.

## § getRows() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > ome::xml::model::Plate::getRows | ( |  | ) |

Get the Rows property.

Returns
  the Rows property.

References impl.

## § getRows() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > ome::xml::model::Plate::getRows | ( |  | ) | const

Get the Rows property.

Returns
  the Rows property.

References impl.

## § getStatus() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Plate::getStatus | ( |  | ) |

Get the Status property.

Returns
  the Status property.

References impl.

## § getStatus() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Plate::getStatus | ( |  | ) | const

Get the Status property.

Returns
  the Status property.

References impl.

## § getWell() [1/2]

ome::compat::shared_ptr< ome::xml::model::Well > & ome::xml::model::Plate::getWell | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Well > >::size_type | index | ) |

Get Well.

Parameters

  index | the index number of the Well.

Returns
  the Well.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getWell() [2/2]

const ome::compat::shared_ptr< ome::xml::model::Well > & ome::xml::model::Plate::getWell | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Well > >::size_type | index | ) | const

Get Well.

Parameters

  index | the index number of the Well.

Returns
  the Well.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getWellList() [1/2]

std::vector< ome::compat::shared_ptr< ome::xml::model::Well > > & ome::xml::model::Plate::getWellList | ( |  | ) |

Get the Well list.

Returns
  a reference to the list.

References impl.

## § getWellList() [2/2]

const std::vector< ome::compat::shared_ptr< ome::xml::model::Well > > & ome::xml::model::Plate::getWellList | ( |  | ) | const

Get the Well list.

Returns
  a reference to the list.

References impl.

## § getWellOriginX() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & ome::xml::model::Plate::getWellOriginX | ( |  | ) |

Get the WellOriginX property.

Returns
  the WellOriginX property.

References impl.

## § getWellOriginX() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & ome::xml::model::Plate::getWellOriginX | ( |  | ) | const

Get the WellOriginX property.

Returns
  the WellOriginX property.

References impl.

## § getWellOriginY() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & ome::xml::model::Plate::getWellOriginY | ( |  | ) |

Get the WellOriginY property.

Returns
  the WellOriginY property.

References impl.

## § getWellOriginY() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & ome::xml::model::Plate::getWellOriginY | ( |  | ) | const

Get the WellOriginY property.

Returns
  the WellOriginY property.

References impl.

## § getXMLNamespace()

const std::string & ome::xml::model::Plate::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Implements ome::xml::model::OMEModelObject.

Referenced by asXMLElement(), and asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::Plate::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

References impl, ome::xml::model::detail::OMEModelObject::link(), ome::xml::model::Annotation::linkPlate(), and ome::xml::model::detail::OMEModelObject::logger.

## § linkAnnotation()

bool ome::xml::model::Plate::linkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Link Annotation.

Parameters

  annotation | the Annotation to link.

Returns
  `true` if the object was added to the internal annotationLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § linkScreen()

bool ome::xml::model::Plate::linkScreen | ( | const ome::compat::shared_ptr< ome::xml::model::Screen > & | screen_BackReference | ) |

Link Screen.

Parameters

  screen_BackReference | the Screen to link.

Returns
  `true` if the object was added to the internal screenLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Screen::link().

Here is the caller graph for this function:

## § removePlateAcquisition()

void ome::xml::model::Plate::removePlateAcquisition | ( | ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & | plateAcquisition | ) |

Remove PlateAcquisition.

Parameters

  plateAcquisition | the PlateAcquisition to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § removeWell()

void ome::xml::model::Plate::removeWell | ( | ome::compat::shared_ptr< ome::xml::model::Well > & | well | ) |

Remove Well.

Parameters

  well | the Well to remove.

Todo:

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § setColumnNamingConvention()

void ome::xml::model::Plate::setColumnNamingConvention | ( | ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > & | columnNamingConvention | ) |

Set the ColumnNamingConvention property.

Parameters

  columnNamingConvention | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setColumns()

void ome::xml::model::Plate::setColumns | ( | ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > & | columns | ) |

Set the Columns property.

Parameters

  columns | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setDescription()

void ome::xml::model::Plate::setDescription | ( | ome::compat::shared_ptr< std::string > & | description | ) |

Set the Description property.

Parameters

  description | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setExternalIdentifier()

void ome::xml::model::Plate::setExternalIdentifier | ( | ome::compat::shared_ptr< std::string > & | externalIdentifier | ) |

Set the ExternalIdentifier property.

Parameters

  externalIdentifier | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setFieldIndex()

void ome::xml::model::Plate::setFieldIndex | ( | ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > & | fieldIndex | ) |

Set the FieldIndex property.

Parameters

  fieldIndex | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setID()

void ome::xml::model::Plate::setID | ( | const std::string & | id | ) |

Set the ID property.

Parameters

  id | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::Plate::setLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation
| ) |  |

Set linked Annotation.

Note
  The index must be valid.

Parameters

  index | the index number of the Annotation.
  annotation | the Annotation to set.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedScreen()

const ome::compat::weak_ptr< ome::xml::model::Screen > & ome::xml::model::Plate::setLinkedScreen | ( | OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Screen > & | screen_BackReference
| ) |  |

Set linked Screen.

Note
  The index must be valid.

Parameters

  index | the index number of the Screen.
  screen_BackReference | the Screen to set.

Returns
  a weak pointer to the Screen.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setName()

void ome::xml::model::Plate::setName | ( | ome::compat::shared_ptr< std::string > & | name | ) |

Set the Name property.

Parameters

  name | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setPlateAcquisition()

void ome::xml::model::Plate::setPlateAcquisition | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & | plateAcquisition
| ) |  |

Set PlateAcquisition.

Parameters

  index | the index number of the PlateAcquisition.
  plateAcquisition | the PlateAcquisition to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setRowNamingConvention()

void ome::xml::model::Plate::setRowNamingConvention | ( | ome::compat::shared_ptr< ome::xml::model::enums::NamingConvention > & | rowNamingConvention | ) |

Set the RowNamingConvention property.

Parameters

  rowNamingConvention | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setRows()

void ome::xml::model::Plate::setRows | ( | ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > & | rows | ) |

Set the Rows property.

Parameters

  rows | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setStatus()

void ome::xml::model::Plate::setStatus | ( | ome::compat::shared_ptr< std::string > & | status | ) |

Set the Status property.

Parameters

  status | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setWell()

void ome::xml::model::Plate::setWell | ( | std::vector< ome::compat::shared_ptr< ome::xml::model::Well > >::size_type | index,
|  | ome::compat::shared_ptr< ome::xml::model::Well > & | well
| ) |  |

Set Well.

Parameters

  index | the index number of the Well.
  well | the Well to set.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setWellOriginX()

void ome::xml::model::Plate::setWellOriginX | ( | const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & | wellOriginX | ) |

Set the WellOriginX property.

Parameters

  wellOriginX | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setWellOriginY()

void ome::xml::model::Plate::setWellOriginY | ( | const ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > & | wellOriginY | ) |

Set the WellOriginY property.

Parameters

  wellOriginY | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § sizeOfLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type ome::xml::model::Plate::sizeOfLinkedAnnotationList | ( |  | ) | const

Get size of linked Annotation list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedScreenList()

OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type ome::xml::model::Plate::sizeOfLinkedScreenList | ( |  | ) | const

Get size of linked Screen list.

Returns
  the size of the list.

References impl.

## § sizeOfPlateAcquisitionList()

std::vector< ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > >::size_type ome::xml::model::Plate::sizeOfPlateAcquisitionList | ( |  | ) | const

Get size of linked PlateAcquisition list.

Returns
  the size of the list.

References impl.

## § sizeOfWellList()

std::vector< ome::compat::shared_ptr< ome::xml::model::Well > >::size_type ome::xml::model::Plate::sizeOfWellList | ( |  | ) | const

Get size of linked Well list.

Returns
  the size of the list.

References impl.

## § unlinkAnnotation()

bool ome::xml::model::Plate::unlinkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Unlink Annotation.

Parameters

  annotation | the Annotation to unlink.

Returns
  `true` if the Annotation was unlinked, otherwise `false` if the Annotation was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkScreen()

bool ome::xml::model::Plate::unlinkScreen | ( | const ome::compat::shared_ptr< ome::xml::model::Screen > & | screen_BackReference | ) |

Unlink Screen.

Parameters

  screen_BackReference | the Screen to unlink.

Returns
  `true` if the Screen was unlinked, otherwise `false` if the Screen was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § update()

void ome::xml::model::Plate::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Implements ome::xml::model::OMEModelObject.

References ome::xml::model::OMEModel::addModelObject(), addPlateAcquisition(), ome::xml::model::OMEModel::addReference(), addWell(), ome::xml::model::PlateAcquisition::create(), ome::xml::model::Well::create(), ome::common::xml::dom::Element::getAttribute(), ome::xml::model::detail::OMEModelObject::getChildrenByTagName(), getID(), ome::common::xml::dom::Element::getTagName(), ome::common::xml::dom::Element::hasAttribute(), ome::xml::model::detail::OMEModelObject::logger, setColumnNamingConvention(), setColumns(), setDescription(), setExternalIdentifier(), setFieldIndex(), setID(), setName(), setRowNamingConvention(), setRows(), setStatus(), setWellOriginX(), setWellOriginY(), ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::detail::OMEModelObject::update(), and validElementName().

## § validElementName()

bool ome::xml::model::Plate::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Implements ome::xml::model::detail::OMEModelObject.

References ome::xml::model::detail::OMEModelObject::validElementName().

Referenced by update().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/Plate.h
- ome/xml/model/Plate.cpp